# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_ClipPlane Struct Reference

VLX wrapper of vl::ClipPlane. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_ClipPlane:

List of all members.

## Public Member Functions

void | importClipPlane (VLXSerializer &s, const VLXStructure *vlx, ClipPlane *obj)
virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
void | exportClipPlane (VLXSerializer &s, const ClipPlane *clip, VLXStructure *vlx)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::ClipPlane.

Definition at line 2642 of file VLXWrappers.hpp.

## Member Function Documentation

void vl::VLXClassWrapper_ClipPlane::importClipPlane | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx,
|  | ClipPlane * | obj
| ) |  | `[inline]`

Definition at line 2644 of file VLXWrappers.hpp.

References vl::VLXValue::ArrayReal, vl::ClipPlane::bindTransform(), vl::VLXValue::getArrayReal(), vl::VLXValue::getReal(), vl::VLXValue::getStructure(), vl::VLXSerializer::importVLX(), NULL, vl::ClipPlane::plane(), vl::VLXValue::Real, vl::Plane::setNormal(), vl::Plane::setOrigin(), vl::VLXValue::Structure, vl::VLXValue::type(), vl::VLXStructure::value(), VLX_IMPORT_CHECK_RETURN, and vl::vlx_vec3().

Referenced by importVLX().

virtual ref<Object> vl::VLXClassWrapper_ClipPlane::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 2672 of file VLXWrappers.hpp.

References vl::ref< T >::get(), importClipPlane(), and vl::VLXSerializer::registerImportedStructure().

void vl::VLXClassWrapper_ClipPlane::exportClipPlane | ( | VLXSerializer & | s,
|  | const ClipPlane * | clip,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 2681 of file VLXWrappers.hpp.

References vl::ClipPlane::boundTransform(), vl::VLXSerializer::exportVLX(), vl::Plane::normal(), vl::Plane::origin(), vl::ClipPlane::plane(), and vl::vlx_toValue().

Referenced by exportVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper_ClipPlane::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 2689 of file VLXWrappers.hpp.

References vl::Object::as(), exportClipPlane(), vl::VLXSerializer::generateID(), vl::VLXSerializer::registerExportedObject(), VL_CHECK, and vl::vlx_makeTag().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:57.
Permission is granted to use this page to write and publish articles regarding Visualization Library.